# miniflux

This repository provides a Docker Compose-based recipe for deploying Miniflux, a minimalist and opinionated RSS feed reader, using Coop Cloud. The deployment is designed to be secure, customizable, and straightforward, leveraging secrets management and configuration templating.

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`miniflux`](https://hub.docker.com/r/miniflux), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

* `abra app new miniflux --secrets`
* `abra app config <app-name>`
* `abra app deploy <app-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).
