#!/bin/sh

STACK_NAME=miniflux
CONFIG_VERSION=v1

# Set default versions if not already set
SECRET_DB_PASSWORD_VERSION=${SECRET_DB_PASSWORD_VERSION:-v1}
SECRET_ADMIN_PASSWORD_VERSION=${SECRET_ADMIN_PASSWORD_VERSION:-v1}
SECRET_KEY_VERSION=${SECRET_KEY_VERSION:-v1}

abra deploy \
  --stack $STACK_NAME \
  --compose-file compose.yml \
  --compose-file compose.postgres.yml \
  --config $CONFIG_VERSION \
  --secret db_password:$SECRET_DB_PASSWORD_VERSION \
  --secret admin_password:$SECRET_ADMIN_PASSWORD_VERSION \
  --secret secret_key:$SECRET_KEY_VERSION

